Subject: bug#30813: 26.0.91; flyspell does not recheck after transpose-chars

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Mar 2018 07:59:44 +0200

On March 14, 2018 7:34:52 AM GMT+02:00, Aaron Jensen <[email-masked]> wrote:
> > More generally, I think if we want to support transpose commands in
> flyspell,
> > we need special code for that, because those commands change two
> words,
> > which both need to be checked, something that 
> flyspell-check-pre-word-p is not
> > designed to handle.
> 
> Got it. What other transpose commands do you think should be handled?
> The only other ones I use I don't think change words, they just
> transpose them or sentences/paragraphs.

Transposing words can create duplicate words, or fix word duplication, something
that flyspell flags as well.